- Qt 6.8
- Qt Widgets
- C++ Classes
- QStyleHintReturnMask
- Qt 6.8.0 Reference Documentation

# QStyleHintReturnMask Class

The QStyleHintReturnMask class provides style hints that return a QRegion. More...

Header: | `#include <QStyleHintReturnMask>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QStyleHintReturn

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleHintReturnMask()
| ~QStyleHintReturnMask()

## Public Variables

QRegion | region

## Detailed Description

## Member Type Documentation

### enum QStyleHintReturnMask::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturnMask::Type` | `SH_Mask` | The type of style option provided (SH_Mask for this class).

The type is used internally by QStyleHintReturn, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleHintReturn subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleHintReturnMask::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturnMask::Version` | `1` | 1

The version is used by QStyleHintReturn subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleHintReturnMask::QStyleHintReturnMask()

Constructs a QStyleHintReturnMask. The member variables are initialized to default values.

### `[noexcept]` QStyleHintReturnMask::~QStyleHintReturnMask()

Destructor.

## Member Variable Documentation

### QRegion QStyleHintReturnMask::region

This variable holds the region for style hints that return a QRegion